Home » Infrastructure » Linux » Can i686 linux library replace i386 linux library when installing Oracle database server 11gr2? (oracle11gr2, redhad linux 6.4)
Can i686 linux library replace i386 linux library when installing Oracle database server 11gr2? [message #672097] Wed, 03 October 2018 01:38 Go to next message
kalenko
Messages: 36
Registered: January 2018
Member
Hi,

I am installing Oracle grid and Oracle database 11.2.0.1.0 64 bit on Redhat linux 6.4 64 bit box for the production environment. The document from Oracle states that some i686 linux library is required for the linux box. And I already get this library for the linux box. But during installation, the Oracle software checks system requirement and there are some failed requirements as the images below:

https://preview.ibb.co/dXj16z/grid_step_8_of_11.png
https://preview.ibb.co/jg9qzK/database_step_8_of_11.png

And my questions are: Can i686 libary is compatible back to i386 library? If I ignore the failed requirements, and in the future, is my production environment reliable and stable?

Thanks.

[Updated on: Wed, 03 October 2018 01:46]

Report message to a moderator

Re: Can i686 linux library replace i386 linux library when installing Oracle database server 11gr2? [message #672098 is a reply to message #672097] Wed, 03 October 2018 02:02 Go to previous messageGo to next message
John Watson
Messages: 8075
Registered: January 2010
Location: Global Village
Senior Member
kalenko wrote on Wed, 03 October 2018 07:38
Hi,

I am installing Oracle grid and Oracle database 11.2.0.1.0 64 bit on Redhat linux 6.4 64 bit box for the production environment. The document from Oracle states that some i686 linux library is required for the linux box. And I already get this library for the linux box. But during installation, the Oracle software checks system requirement and there are some failed requirements as the images below:

<snip>

And my questions are: Can i686 libary is compatible back to i386 library? If I ignore the failed requirements, and in the future, is my production environment reliable and stable?

Thanks.
I certainly would not proceed like that. It looks to me as though you have not installed the oracle-rdbms-server-11gR2-preinstall-1.0-3.el6.x86_64.rpm Oracle Validated RPM.

Also, is this installation legal? If you have purchased a licence, you should download and install the terminal release, 11.2.0.4.
Re: Can i686 linux library replace i386 linux library when installing Oracle database server 11gr2? [message #672099 is a reply to message #672098] Wed, 03 October 2018 02:46 Go to previous messageGo to next message
kalenko
Messages: 36
Registered: January 2018
Member
John Watson wrote on Wed, 03 October 2018 02:02
kalenko wrote on Wed, 03 October 2018 07:38
Hi,

I am installing Oracle grid and Oracle database 11.2.0.1.0 64 bit on Redhat linux 6.4 64 bit box for the production environment. The document from Oracle states that some i686 linux library is required for the linux box. And I already get this library for the linux box. But during installation, the Oracle software checks system requirement and there are some failed requirements as the images below:

<snip>

And my questions are: Can i686 libary is compatible back to i386 library? If I ignore the failed requirements, and in the future, is my production environment reliable and stable?

Thanks.
I certainly would not proceed like that. It looks to me as though you have not installed the oracle-rdbms-server-11gR2-preinstall-1.0-3.el6.x86_64.rpm Oracle Validated RPM.

Also, is this installation legal? If you have purchased a licence, you should download and install the terminal release, 11.2.0.4.
This is my bank's legacy from the past. All systems of my bank run Oracle server 11.2.0.4 which have valid licenses. Only this card system run Oracle server 11.2.0.1 and now I have to build dataguard for this system. I already get i686 libraries for it, but maybe it needs i386 libraries. So, can I ignore this failed requirements?

[Updated on: Wed, 03 October 2018 02:46]

Report message to a moderator

Re: Can i686 linux library replace i386 linux library when installing Oracle database server 11gr2? [message #672101 is a reply to message #672099] Wed, 03 October 2018 03:23 Go to previous messageGo to next message
John Watson
Messages: 8075
Registered: January 2010
Location: Global Village
Senior Member
Quote:
I certainly would not proceed like that. It looks to me as though you have not installed the oracle-rdbms-server-11gR2-preinstall-1.0-3.el6.x86_64.rpm Oracle Validated RPM.
Re: Can i686 linux library replace i386 linux library when installing Oracle database server 11gr2? [message #672104 is a reply to message #672101] Wed, 03 October 2018 03:41 Go to previous message
gazzag
Messages: 1082
Registered: November 2010
Location: Bristol, UK
Senior Member
I refer the honourable gentleman to the answer I gave some moments ago. Wink
Previous Topic: NUMA and Oracle DB
Next Topic: character datafile naming oracle 18c o1_mf_system dbf
Goto Forum:
  


Current Time: Sat Dec 07 06:10:26 CST 2019